summaryrefslogtreecommitdiff
path: root/tools/node_modules/eslint/node_modules/chardet/scripts/release
diff options
context:
space:
mode:
Diffstat (limited to 'tools/node_modules/eslint/node_modules/chardet/scripts/release')
-rwxr-xr-xtools/node_modules/eslint/node_modules/chardet/scripts/release16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/node_modules/eslint/node_modules/chardet/scripts/release b/tools/node_modules/eslint/node_modules/chardet/scripts/release
new file mode 100755
index 0000000000..318196d533
--- /dev/null
+++ b/tools/node_modules/eslint/node_modules/chardet/scripts/release
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Exit immediately if a pipeline returns non-zero status
+# http://www.gnu.org/software/bash/manual/bashref.html#The-Set-Builtin
+set -e
+
+npm test
+
+if [ -n "$npm_config_major" ]; then SEMVER="major"
+elif [ -n "$npm_config_patch" ]; then SEMVER="patch"
+else SEMVER="minor"; fi
+
+npm version $SEMVER
+github-publish-release
+git push --follow-tags
+npm publish